Debian Bug report logs - #649226
ITP: jmapviewer -- Java OpenStreetMap Tile Viewer

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andrew Harvey <andrew.harvey4@gmail.com>

Date: Sat, 19 Nov 2011 02:09:01 UTC

Owned by: Andrew Harvey <andrew.harvey4@gmail.com>

Severity: wishlist

Fixed in version jmapviewer/1.02+dfsg1-1

Done: Felix Natter <fnatter@gmx.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#649226; Package wnpp. (Sat, 19 Nov 2011 02:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 19 Nov 2011 02:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: jmapviewer -- Java OpenStreetMap Tile Viewer
Date: Sat, 19 Nov 2011 13:05:16 +1100
Package: wnpp
Severity: wishlist

Dear Maintainer,
 Package name    : jmapviewer
 Version         : 0.0+svn27079+dfsg
 Upstream Author : Jan Peter Stotz
 URL             : http://svn.openstreetmap.org/applications/viewer/jmapviewer
 License         : GPL-2+
 Description     : Java OpenStreetMap Tile Viewer

 JMapViewer is a Java Swing component for integrating OSM maps in to your Java
 application. JMapViewer allows you to set markers on the map or zoom to a
 specific location on the map.
 .
 This package includes both the library and a demo application.




Owner recorded as Andrew Harvey <andrew.harvey4@gmail.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:40:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>:
Bug#649226; Package wnpp. (Sat, 04 Aug 2012 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>. (Sat, 04 Aug 2012 14:21:05 GMT) Full text and rfc822 format available.

Message #12 received at 649226@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Andrew Harvey <andrew.harvey4@gmail.com>, 649226@bugs.debian.org
Cc: Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: freemind packaging needs jmapviewer
Date: Sat, 04 Aug 2012 14:07:17 +0000
Hi Andrew,

How goes the jmapviewer packaging? As I see, there's a git
repository[1], but it seems it was never uploaded nor update for eight
months now. I intend to adopt freemind[2] and almost ready packaging its
newest release, 1.0.0~beta5. However it needs jmapviewer to build
correctly.
Are you still interested to maintain it or should I finish packaging
that as well?

Regards,
Laszlo/GCS
[1] http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary
[2] http://freemind.sourceforge.net/wiki/index.php/Main_Page




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#649226; Package wnpp. (Sun, 05 Aug 2012 10:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 05 Aug 2012 10:27:08 GMT) Full text and rfc822 format available.

Message #17 received at 649226@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 649226@bugs.debian.org, Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: Re: freemind packaging needs jmapviewer
Date: Sun, 05 Aug 2012 20:24:14 +1000
[Message part 1 (text/plain, inline)]
Hi Laszlo,

On 05/08/12 00:07, Laszlo Boszormenyi (GCS) wrote:
> Hi Andrew,
> 
> How goes the jmapviewer packaging? As I see, there's a git
> repository[1], but it seems it was never uploaded nor update for eight
> months now.

I don't think it was uploaded to Debian because I couldn't find a DD to
sponsor it. However, I believe it still needs some more work anyway.

I originally started packaging it as it is required by osmembrane, but I
never follow through with getting it uploaded to Debian/getting the
packaging quality up.

> I intend to adopt freemind[2] and almost ready packaging its
> newest release, 1.0.0~beta5. However it needs jmapviewer to build
> correctly.
> Are you still interested to maintain it or should I finish packaging
> that as well?

I don't know if I can commit to anything, but I can try to help out with
its packaging. So happy to either co-maintain, or co-contribution of
packaging work.

Which version of jmapviewer does freemind need? Because I noticed that
if I updated the alioth packaging for jmapviewer to the latest, it would
pull in an embedded MapQuest logo, so we would need to either cut it
out, or ensure it is DFSG compliant.

I'm more than happy to try to help out or for you to work directly off
http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary

I'm not exactly sure how much time I'll have to look into it. I'll try,
but feel free to jump ahead and work on it yourself.

> 
> Regards,
> Laszlo/GCS
> [1] http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary
> [2] http://freemind.sourceforge.net/wiki/index.php/Main_Page
> 


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>:
Bug#649226; Package wnpp. (Sun, 05 Aug 2012 10:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>. (Sun, 05 Aug 2012 10:48:07 GMT) Full text and rfc822 format available.

Message #22 received at 649226@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Andrew Harvey <andrew.harvey4@gmail.com>
Cc: 649226@bugs.debian.org, Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: Re: freemind packaging needs jmapviewer
Date: Sun, 05 Aug 2012 10:45:46 +0000
Hi Andrew,

On Sun, 2012-08-05 at 20:24 +1000, Andrew Harvey wrote:
> On 05/08/12 00:07, Laszlo Boszormenyi (GCS) wrote:
> > How goes the jmapviewer packaging? As I see, there's a git
> > repository[1], but it seems it was never uploaded nor update for eight
> > months now.
> I don't think it was uploaded to Debian because I couldn't find a DD to
> sponsor it. However, I believe it still needs some more work anyway.
 Now you've found a DD who would upload it. Sure, it needs to be updated
to the newest stable version and conforms to the latest Debian policy.

> > Are you still interested to maintain it or should I finish packaging
> > that as well?
> I don't know if I can commit to anything, but I can try to help out with
> its packaging. So happy to either co-maintain, or co-contribution of
> packaging work.
 Well, somehow you created it. You are set as owner and it seems you did
some commit to it.

> Which version of jmapviewer does freemind need? Because I noticed that
> if I updated the alioth packaging for jmapviewer to the latest, it would
> pull in an embedded MapQuest logo, so we would need to either cut it
> out, or ensure it is DFSG compliant.
 Sure, the image should be DFSG compliant as well. I don't know the
required version number, even if freemind contains the source jar for
jmapviewer. I couldn't find its version number. Is there any release at
all? What I could find is:
http://svn.openstreetmap.org/applications/viewer/jmapviewer/releases/2011-02-19/
Nothing more. No version number, just a date.

> I'm more than happy to try to help out or for you to work directly off
> http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary
> I'm not exactly sure how much time I'll have to look into it. I'll try,
> but feel free to jump ahead and work on it yourself.
 So you mean I can be its maintainer and set you as uploader?

Cheers,
Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#649226; Package wnpp. (Sun, 05 Aug 2012 10:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 05 Aug 2012 10:51:08 GMT) Full text and rfc822 format available.

Message #27 received at 649226@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 649226@bugs.debian.org, Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: Re: freemind packaging needs jmapviewer
Date: Sun, 05 Aug 2012 20:48:19 +1000
[Message part 1 (text/plain, inline)]
On 05/08/12 20:45, Laszlo Boszormenyi (GCS) wrote:
> Hi Andrew,
> 
> On Sun, 2012-08-05 at 20:24 +1000, Andrew Harvey wrote:
>> On 05/08/12 00:07, Laszlo Boszormenyi (GCS) wrote:
>>> How goes the jmapviewer packaging? As I see, there's a git
>>> repository[1], but it seems it was never uploaded nor update for eight
>>> months now.
>> I don't think it was uploaded to Debian because I couldn't find a DD to
>> sponsor it. However, I believe it still needs some more work anyway.
>  Now you've found a DD who would upload it. Sure, it needs to be updated
> to the newest stable version and conforms to the latest Debian policy.

Good. Okay then I'll spend some time this week trying to get it in
better shape.

>>> Are you still interested to maintain it or should I finish packaging
>>> that as well?
>> I don't know if I can commit to anything, but I can try to help out with
>> its packaging. So happy to either co-maintain, or co-contribution of
>> packaging work.
>  Well, somehow you created it. You are set as owner and it seems you did
> some commit to it.
> 
>> Which version of jmapviewer does freemind need? Because I noticed that
>> if I updated the alioth packaging for jmapviewer to the latest, it would
>> pull in an embedded MapQuest logo, so we would need to either cut it
>> out, or ensure it is DFSG compliant.
>  Sure, the image should be DFSG compliant as well. I don't know the
> required version number, even if freemind contains the source jar for
> jmapviewer. I couldn't find its version number. Is there any release at
> all? What I could find is:
> http://svn.openstreetmap.org/applications/viewer/jmapviewer/releases/2011-02-19/
> Nothing more. No version number, just a date.

I've just been using the upstream vcs revision as the version.

>> I'm more than happy to try to help out or for you to work directly off
>> http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary
>> I'm not exactly sure how much time I'll have to look into it. I'll try,
>> but feel free to jump ahead and work on it yourself.
>  So you mean I can be its maintainer and set you as uploader?

I don't mind maintaining it myself. But if you want to take over I'm
fine with that too. I don't mind either way.

> 
> Cheers,
> Laszlo/GCS
> 


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>:
Bug#649226; Package wnpp. (Mon, 24 Dec 2012 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Naughton <blades2000@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>. (Mon, 24 Dec 2012 21:33:06 GMT) Full text and rfc822 format available.

Message #32 received at 649226@bugs.debian.org (full text, mbox):

From: Martin Naughton <blades2000@gmail.com>
To: gcs@debian.hu
Cc: 649226@bugs.debian.org, Daniel Echeverry <epsilon77@gmail.com>, 622960@bugs.debian.org
Subject: Does this package still need help
Date: Mon, 24 Dec 2012 21:31:42 +0000
[Message part 1 (text/plain, inline)]
Hello Guys,
                  Has this package been adopted? Is there anyone that needs
help?

Can we close it if not?

-- 
Regards
Martin Naughton
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>:
Bug#649226; Package wnpp. (Thu, 14 Mar 2013 17:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Natter <fnatter@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>. (Thu, 14 Mar 2013 17:33:07 GMT) Full text and rfc822 format available.

Message #37 received at 649226@bugs.debian.org (full text, mbox):

From: Felix Natter <fnatter@gmx.net>
To: "Laszlo Boszormenyi \(GCS\)" <gcs@debian.hu>, Willem van den Akker <wvdakker@wilsoft.nl>, Andrew Harvey <andrew.harvey4@gmail.com>
Cc: 649226@bugs.debian.org, 622960@bugs.debian.org
Subject: Freeplane package + JMapViewer dependency
Date: Thu, 14 Mar 2013 18:29:43 +0100
hi Laszlo, hi Willem, hi Andrew,

I am the Freeplane package maintainer. Freeplane 1.2.x for Debian will
soon be released (if I find a sponsor shortly after the 1.2.22/23
release is done), the source code is (temporarily) here if you need it
for the FreeMind package:
  https://github.com/fnatter/freeplane-debian/
(you also need these:
http://anonscm.debian.org/gitweb/?p=pkg-java/simplyhtml.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libjsyntaxpane-java.git)

I am not sure whether we need freemind additionally, but I don't mind
helping a possible maintainer (the packaging source code above should
help a potential packager). One reason could be the FreeMind 1.0.0
collaboration mode, this feature is work in progress for Freeplane.

For the upcoming 1.3.x Freeplane release (upstream in a few months) I
also need the JMapViewer dependency.

I saw this bug report regarding JMapViewer (which I cc:):
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649226

Is someone taking care of JMapViewer for Debian?
(there is no activity since 2011:
http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary)

Thanks and Best Regards,
-- 
Felix Natter



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#649226; Package wnpp. (Fri, 15 Mar 2013 18:59:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 15 Mar 2013 18:59:09 GMT) Full text and rfc822 format available.

Message #42 received at 649226@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: Felix Natter <fnatter@gmx.net>
Cc: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>, Willem van den Akker <wvdakker@wilsoft.nl>, 649226@bugs.debian.org, 622960@bugs.debian.org
Subject: Re: Freeplane package + JMapViewer dependency
Date: Fri, 15 Mar 2013 21:13:35 +1100
[Message part 1 (text/plain, inline)]
On 15/03/13 04:29, Felix Natter wrote:
> For the upcoming 1.3.x Freeplane release (upstream in a few months) I
> also need the JMapViewer dependency.
> 
> I saw this bug report regarding JMapViewer (which I cc:):
>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649226
> 
> Is someone taking care of JMapViewer for Debian?
> (there is no activity since 2011:
> http://anonscm.debian.org/gitweb/?p=pkg-osm/jmapviewer.git;a=summary)

I've just pushed some updates to the packaging to clean it up and
updated to the latest upstream version.

I'm happy to maintain it (unless upstream makes big changes which make
harder to package). However a DD will need to sponsor it's upload if we
want it included in Debian.

Lastly, my apologies to Laszlo who offered to sponsor it's upload back
in August last year, but I never got around to fixing up the package.
Hopefully the latest updates I've made will mean it can be sponsored and
uploaded into Debian.

Thanks all for chasing up with me on this, hopefully my original
packaging effort will not have been in vain after all.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>:
Bug#649226; Package wnpp. (Fri, 15 Mar 2013 18:59:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>. (Fri, 15 Mar 2013 18:59:11 GMT) Full text and rfc822 format available.

Message #47 received at 649226@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Andrew Harvey <andrew.harvey4@gmail.com>
Cc: Felix Natter <fnatter@gmx.net>, Willem van den Akker <wvdakker@wilsoft.nl>, 649226@bugs.debian.org, 622960@bugs.debian.org
Subject: Re: Freeplane package + JMapViewer dependency
Date: Fri, 15 Mar 2013 15:32:03 +0000
On Fri, 2013-03-15 at 21:13 +1100, Andrew Harvey wrote:
> I've just pushed some updates to the packaging to clean it up and
> updated to the latest upstream version.
 Cool! I was beginning to think about hijacking it.

> I'm happy to maintain it (unless upstream makes big changes which make
> harder to package). However a DD will need to sponsor it's upload if we
> want it included in Debian.
> 
> Lastly, my apologies to Laszlo who offered to sponsor it's upload back
> in August last year, but I never got around to fixing up the package.
> Hopefully the latest updates I've made will mean it can be sponsored and
> uploaded into Debian.
 Sure, it looks OK. Still, there's some things to fix. Why do you use
Java 6? Java 7 is in Debian now, see the openjdk-7-jre package.
Copyright format is now official, please use its format line[1].
BSD-2 license text lines are too long, please use a 80 chars width one.
It would be nice to 'beautify' debian/rules . The second line can show
the file format if set to: '# -*- makefile -*-'. Override targets should
be listed in the '.PHONY: ...' line at the end.
The debian/watch is essentially empty, delete it or make use of it.
Worst is that JMapViewer_Demo.jar is empty, contains only MANIFEST.MF .
Is it an upstream build problem?

Cheers,
Laszlo/GCS
[1] http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#649226; Package wnpp. (Sat, 16 Mar 2013 22:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 16 Mar 2013 22:39:07 GMT) Full text and rfc822 format available.

Message #52 received at 649226@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: Felix Natter <fnatter@gmx.net>, Willem van den Akker <wvdakker@wilsoft.nl>, 649226@bugs.debian.org, 622960@bugs.debian.org
Subject: Re: Freeplane package + JMapViewer dependency
Date: Sun, 17 Mar 2013 09:33:25 +1100
[Message part 1 (text/plain, inline)]
On 16/03/13 02:32, Laszlo Boszormenyi (GCS) wrote:
>  Sure, it looks OK. Still, there's some things to fix. Why do you use
> Java 6? Java 7 is in Debian now, see the openjdk-7-jre package.

Changed.

> Copyright format is now official, please use its format line[1].
> BSD-2 license text lines are too long, please use a 80 chars width one.

Changed.

> It would be nice to 'beautify' debian/rules . The second line can show
> the file format if set to: '# -*- makefile -*-'. Override targets should
> be listed in the '.PHONY: ...' line at the end.

Changed. GNU Make manual suggests this should be before the definition
though...[1]

> The debian/watch is essentially empty, delete it or make use of it.

If you don't have a debian/watch lintian will tell you to either add
one, or add one with just comments explaining the situation.

> Worst is that JMapViewer_Demo.jar is empty, contains only MANIFEST.MF .
> Is it an upstream build problem?

Yes I noticed that lintian warning. I'm pretty sure this is how upstream
does it. If this is a problem, in the Debian package we can ignore the
upstream JMapViewer_Demo.jar and simply change our /usr/bin/jmapviewer
script to

    java -Djava.net.useSystemProxies=true -cp
/usr/share/java/jmapviewer.jar org.openstreetmap.gui.jmapviewer.Demo "$@"

Is this a better approach? It is a pretty easy change to make.

[1] https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>:
Bug#649226; Package wnpp. (Thu, 16 May 2013 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to colliar <colliar4ever@aol.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Harvey <andrew.harvey4@gmail.com>. (Thu, 16 May 2013 20:00:06 GMT) Full text and rfc822 format available.

Message #57 received at 649226@bugs.debian.org (full text, mbox):

From: colliar <colliar4ever@aol.com>
To: 649226@bugs.debian.org
Cc: 622960@bugs.debian.org, gcs@debian.hu, andrew.harvey4@gmail.com, dapal@debian.org
Subject: jmapviewer is used by JOSM
Date: Thu, 16 May 2013 21:50:59 +0200
[Message part 1 (text/plain, inline)]
On 17/03/13 09:33 Andrew Harvey wrote:
> On 16/03/13 02:32, Laszlo Boszormenyi (GCS) wrote:

Hey thanks for packaging jmapviewer

>>  Sure, it looks OK. Still, there's some things to fix. Why do you use
>> Java 6? Java 7 is in Debian now, see the openjdk-7-jre package.
>
> Changed.

This will make it unusable for JOSM which includes jmapviewer so far but
hopefully will depend on this package soon. As there are plans to
backport josm jmapviewer would be needed in backports, too.

JOSM will switch to java7 but that will not be soon.

Cheers
colliar

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 22 Oct 2013 19:06:13 GMT) Full text and rfc822 format available.

Reply sent to Felix Natter <fnatter@gmx.net>:
You have taken responsibility. (Fri, 29 Nov 2013 16:03:21 GMT) Full text and rfc822 format available.

Notification sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 16:03:21 GMT) Full text and rfc822 format available.

Message #64 received at 649226-close@bugs.debian.org (full text, mbox):

From: Felix Natter <fnatter@gmx.net>
To: 649226-close@bugs.debian.org
Subject: Bug#649226: fixed in jmapviewer 1.02+dfsg1-1
Date: Fri, 29 Nov 2013 16:00:10 +0000
Source: jmapviewer
Source-Version: 1.02+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
jmapviewer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 649226@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felix Natter <fnatter@gmx.net> (supplier of updated jmapviewer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Oct 2013 09:37:49 +0200
Source: jmapviewer
Binary: jmapviewer
Architecture: source all
Version: 1.02+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Felix Natter <fnatter@gmx.net>
Description: 
 jmapviewer - Java OpenStreetMap Tile Viewer
Closes: 649226
Changes: 
 jmapviewer (1.02+dfsg1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #649226)
Checksums-Sha1: 
 235c67e53dadf0be5a6ecac7736b579bdb64b2b4 1385 jmapviewer_1.02+dfsg1-1.dsc
 821a7c1102b1438db86487a7d4b0afbd1ce719e7 69290 jmapviewer_1.02+dfsg1.orig.tar.gz
 caa7d93b640e691f92c6cd247527f0e52db5c8d0 5139 jmapviewer_1.02+dfsg1-1.debian.tar.gz
 4bceb54558aa9de9e73a17c9e9addc3362080df7 136044 jmapviewer_1.02+dfsg1-1_all.deb
Checksums-Sha256: 
 412dbe040e47bbd9ee6aaef4833d929dadcb8ac8f3e79b69f94b1f3d510ba477 1385 jmapviewer_1.02+dfsg1-1.dsc
 b44768fd1e42d36c1c13f30fb666432f404349006713bf753262b4429ec8dae3 69290 jmapviewer_1.02+dfsg1.orig.tar.gz
 aa9b68d8fdc8b9322de6a6a3f41501be3b7fc420a4f8ddb21782dc93179c0d46 5139 jmapviewer_1.02+dfsg1-1.debian.tar.gz
 5ef68adfaa93e6a5b2009af931dab72b6fa50133dd8ba1bb07d777a13ce9515c 136044 jmapviewer_1.02+dfsg1-1_all.deb
Files: 
 3291bb0c82ccc596ad41bb6bc975f81d 1385 utils optional jmapviewer_1.02+dfsg1-1.dsc
 a60e6344b94a9509fe37951a8aa682cc 69290 utils optional jmapviewer_1.02+dfsg1.orig.tar.gz
 be5f8307d6adf68f197dc07c0aadcd6e 5139 utils optional jmapviewer_1.02+dfsg1-1.debian.tar.gz
 8a2b55283f5ffa52d199d0eda60d9c16 136044 utils optional jmapviewer_1.02+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJmuIIACgkQYDBbMcCf01qLiQCfYqDdURezf0qePQhrKZhnIyN9
fckAnA5mRhFBFUW4v2kEtmq0Yd1LK/bc
=jbZ/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:30:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:52:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.